<template>
	<div class="collect-sampling">
		<div v-if="!sampling">
			<v-btn rounded color="primary" depressed class="px-4" @click.stop="onSamplingCreate"> Collect Sampling </v-btn>
			<!-- <v-btn rounded outlined class="px-4 ml-2">Skip</v-btn> -->
		</div>
		<div v-else>
			<div class="sampling-info d-none text-body-1 mb-4">
				<!-- Sampling {{ sampling.id }} -->

				<!-- <div class="sampling-details text-caption">
					Lat: {{ sampling.geometry.coordinates[1].toFixed(5) }}&nbsp; Lng:
					{{ sampling.geometry.coordinates[0].toFixed(5) }}&nbsp; Accuracy:
					{{ sampling.properties.geoAccuracy }} m&nbsp; Time:
					{{ new Date(sampling.resultTime).toLocaleString() }}
				</div> -->
			</div>
			<div class="mb-4 d-flex">
				<v-btn rounded outlined color="primary" class="px-4 mr-3" @click="onSamplingEdit"> Edit </v-btn>
				<v-spacer />
				<v-btn icon class="px-4" @click="onSamplingDelete">
					<v-icon>mdi-delete</v-icon>
				</v-btn>
			</div>
		</div>

		<v-dialog persistent v-model="dialogIsVisible" max-width="50em">
			<v-card>
				<v-card-text class="flex-grow-1">
					<!-- :sampling="sampling" -->
					<!-- v-if="sampling" -->
					<!-- @samplingUpdate="onSamplingUpdate" -->
					<sampling-form
						:sampling="currentSampling"
						:samples="currentSamples"
						:location="location"
						v-if="currentSampling"
						@samplingSave="onSamplingSave"
						@updateGeolocation="onUpdateGeolocation"
						:samplingCollection="samplingCollection"
						@samplingCancel="onSamplingCancel"
						@setSamplingComment="onSetSamplingComment"
						@setSamplingDepth="onSetSamplingDepth"
						@setSamplingResult="onSetSamplingResult"
						@deleteSample="onDeleteSample"
					/>
				</v-card-text>
				<!-- <v-card-actions>
					<v-btn text @click="dialogIsVisible = false">Close</v-btn>
				</v-card-actions> -->
			</v-card>
		</v-dialog>
	</div>
</template>

<script src="./CollectSamplingButton.ts" lang="ts" />
